Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.style
Class OdfChartPropertiesElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylePropertiesBase
                                  org.odftoolkit.odfdom.dom.element.style.OdfChartPropertiesElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfChartProperties

    public abstract class OdfChartPropertiesElement

extends OdfStylePropertiesBase

DOM implementation of OpenDocument element style:chart-properties.

See Also:
  Serialized Form

Field Summary
`static OdfStyleProperty` | `AngleOffset`
`static OdfStyleProperty` | `AutoPosition`
`static OdfStyleProperty` | `AutoSize`
`static OdfStyleProperty` | `AxisLabelPosition`
`static OdfStyleProperty` | `AxisPosition`
`static OdfStyleProperty` | `ConnectBars`
`static OdfStyleProperty` | `DataLabelNumber`
`static OdfStyleProperty` | `DataLabelSymbol`
`static OdfStyleProperty` | `DataLabelText`
`static OdfStyleProperty` | `Deep`
`static OdfStyleProperty` | `Direction`
`static OdfStyleProperty` | `DisplayLabel`
`static OdfName` | `ELEMENT_NAME`
`static OdfStyleProperty` | `ErrorCategory`
`static OdfStyleProperty` | `ErrorLowerIndicator`
`static OdfStyleProperty` | `ErrorLowerLimit`
`static OdfStyleProperty` | `ErrorMargin`
`static OdfStyleProperty` | `ErrorPercentage`
`static OdfStyleProperty` | `ErrorUpperIndicator`
`static OdfStyleProperty` | `ErrorUpperLimit`
`static OdfStyleProperty` | `GapWidth`
`static OdfStyleProperty` | `GroupBarsPerAxis`
`static OdfStyleProperty` | `HoleSize`
`static OdfStyleProperty` | `IncludeHiddenCells`
`static OdfStyleProperty` | `Interpolation`
`static OdfStyleProperty` | `IntervalMajor`
`static OdfStyleProperty` | `IntervalMinorDivisor`
`static OdfStyleProperty` | `JapaneseCandleStick`
`static OdfStyleProperty` | `LabelArrangement`
`static OdfStyleProperty` | `LabelPosition`
`static OdfStyleProperty` | `LabelPositionNegative`
`static OdfStyleProperty` | `LineBreak`
`static OdfStyleProperty` | `Lines`
`static OdfStyleProperty` | `LinkDataStyleToSource`
`static OdfStyleProperty` | `Logarithmic`
`static OdfStyleProperty` | `Maximum`
`static OdfStyleProperty` | `MeanValue`
`static OdfStyleProperty` | `Minimum`
`static OdfStyleProperty` | `Origin`
`static OdfStyleProperty` | `Overlap`
`static OdfStyleProperty` | `Percentage`
`static OdfStyleProperty` | `PieOffset`
`static OdfStyleProperty` | `RegressionType`
`static OdfStyleProperty` | `ReverseDirection`
`static OdfStyleProperty` | `RightAngledAxes`
`static OdfStyleProperty` | `RotationAngle`
`static OdfStyleProperty` | `ScaleText`
`static OdfStyleProperty` | `SeriesSource`
`static OdfStyleProperty` | `SolidType`
`static OdfStyleProperty` | `SortByXValues`
`static OdfStyleProperty` | `SplineOrder`
`static OdfStyleProperty` | `SplineResolution`
`static OdfStyleProperty` | `Stacked`
`static OdfStyleProperty` | `SymbolHeight`
`static OdfStyleProperty` | `SymbolName`
`static OdfStyleProperty` | `SymbolType`
`static OdfStyleProperty` | `SymbolWidth`
`static OdfStyleProperty` | `TextOverlap`
`static OdfStyleProperty` | `ThreeDimensional`
`static OdfStyleProperty` | `TickMarkPosition`
`static OdfStyleProperty` | `TickMarksMajorInner`
`static OdfStyleProperty` | `TickMarksMajorOuter`
`static OdfStyleProperty` | `TickMarksMinorInner`
`static OdfStyleProperty` | `TickMarksMinorOuter`
`static OdfStyleProperty` | `TreatEmptyCells`
`static OdfStyleProperty` | `Vertical`
`static OdfStyleProperty` | `Visible`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfChartPropertiesElement(OdfFileDom aOwnerDoc)` Create the instance of OdfChartPropertiesElement

Method Summary
`OdfParagraphElement` | `createParagraphElement()` Create child element text:p.
`OdfSymbolImageElement` | `createSymbolImageElement(OdfAnyURI href)` Create child element chart:symbol-image.
`OdfName` | `getOdfName()` Get the element name

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylePropertiesBase
`hashCode`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

### ScaleText

    public static final OdfStyleProperty ScaleText

### ThreeDimensional

    public static final OdfStyleProperty ThreeDimensional

### Deep

    public static final OdfStyleProperty Deep

### RightAngledAxes

    public static final OdfStyleProperty RightAngledAxes

### SymbolType

    public static final OdfStyleProperty SymbolType

### SymbolName

    public static final OdfStyleProperty SymbolName

### SymbolWidth

    public static final OdfStyleProperty SymbolWidth

### SymbolHeight

    public static final OdfStyleProperty SymbolHeight

### SortByXValues

    public static final OdfStyleProperty SortByXValues

### Vertical

    public static final OdfStyleProperty Vertical

### ConnectBars

    public static final OdfStyleProperty ConnectBars

### GapWidth

    public static final OdfStyleProperty GapWidth

### Overlap

    public static final OdfStyleProperty Overlap

### GroupBarsPerAxis

    public static final OdfStyleProperty GroupBarsPerAxis

### JapaneseCandleStick

    public static final OdfStyleProperty JapaneseCandleStick

### Interpolation

    public static final OdfStyleProperty Interpolation

### SplineOrder

    public static final OdfStyleProperty SplineOrder

### SplineResolution

    public static final OdfStyleProperty SplineResolution

### PieOffset

    public static final OdfStyleProperty PieOffset

### AngleOffset

    public static final OdfStyleProperty AngleOffset

### HoleSize

    public static final OdfStyleProperty HoleSize

### Lines

    public static final OdfStyleProperty Lines

### SolidType

    public static final OdfStyleProperty SolidType

### Stacked

    public static final OdfStyleProperty Stacked

### Percentage

    public static final OdfStyleProperty Percentage

### TreatEmptyCells

    public static final OdfStyleProperty TreatEmptyCells

### LinkDataStyleToSource

    public static final OdfStyleProperty LinkDataStyleToSource

### Logarithmic

    public static final OdfStyleProperty Logarithmic

### Maximum

    public static final OdfStyleProperty Maximum

### Minimum

    public static final OdfStyleProperty Minimum

### Origin

    public static final OdfStyleProperty Origin

### IntervalMajor

    public static final OdfStyleProperty IntervalMajor

### IntervalMinorDivisor

    public static final OdfStyleProperty IntervalMinorDivisor

### TickMarksMajorInner

    public static final OdfStyleProperty TickMarksMajorInner

### TickMarksMajorOuter

    public static final OdfStyleProperty TickMarksMajorOuter

### TickMarksMinorInner

    public static final OdfStyleProperty TickMarksMinorInner

### TickMarksMinorOuter

    public static final OdfStyleProperty TickMarksMinorOuter

### ReverseDirection

    public static final OdfStyleProperty ReverseDirection

### DisplayLabel

    public static final OdfStyleProperty DisplayLabel

### TextOverlap

    public static final OdfStyleProperty TextOverlap

### LineBreak

    public static final OdfStyleProperty LineBreak

### LabelArrangement

    public static final OdfStyleProperty LabelArrangement

### Direction

    public static final OdfStyleProperty Direction

### RotationAngle

    public static final OdfStyleProperty RotationAngle

### DataLabelNumber

    public static final OdfStyleProperty DataLabelNumber

### DataLabelText

    public static final OdfStyleProperty DataLabelText

### DataLabelSymbol

    public static final OdfStyleProperty DataLabelSymbol

### LabelPosition

    public static final OdfStyleProperty LabelPosition

### LabelPositionNegative

    public static final OdfStyleProperty LabelPositionNegative

### Visible

    public static final OdfStyleProperty Visible

### AutoPosition

    public static final OdfStyleProperty AutoPosition

### AutoSize

    public static final OdfStyleProperty AutoSize

### MeanValue

    public static final OdfStyleProperty MeanValue

### ErrorCategory

    public static final OdfStyleProperty ErrorCategory

### ErrorPercentage

    public static final OdfStyleProperty ErrorPercentage

### ErrorMargin

    public static final OdfStyleProperty ErrorMargin

### ErrorLowerLimit

    public static final OdfStyleProperty ErrorLowerLimit

### ErrorUpperLimit

    public static final OdfStyleProperty ErrorUpperLimit

### ErrorUpperIndicator

    public static final OdfStyleProperty ErrorUpperIndicator

### ErrorLowerIndicator

    public static final OdfStyleProperty ErrorLowerIndicator

### SeriesSource

    public static final OdfStyleProperty SeriesSource

### RegressionType

    public static final OdfStyleProperty RegressionType

### AxisPosition

    public static final OdfStyleProperty AxisPosition

### AxisLabelPosition

    public static final OdfStyleProperty AxisLabelPosition

### TickMarkPosition

    public static final OdfStyleProperty TickMarkPosition

### IncludeHiddenCells

    public static final OdfStyleProperty IncludeHiddenCells

Constructor Detail

### OdfChartPropertiesElement

    public OdfChartPropertiesElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfChartPropertiesElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element style:chart-properties.

### createSymbolImageElement

    public OdfSymbolImageElement createSymbolImageElement(OdfAnyURI href)

  Create child element chart:symbol-image.

  Parameters:
    `href` - the attribute's type is URI
  Returns:
    return the element chart:symbol-image

### createParagraphElement

    public OdfParagraphElement createParagraphElement()

  Create child element text:p.

  Returns:
    return the element text:p

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.